# InterWorx variables
%define pversion 10.6.14
%define bversion 1
%define iworx_dir       /home/interworx
%define iworx_install_dir   %{iworx_dir}/mysql
%define mysql_version %{pversion}

# Restore old style debuginfo creation for rpm >= 4.14.
%undefine _debugsource_packages
%undefine _debuginfo_subpackages

# -*- rpm-spec -*-
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:        MariaDB: a very fast and robust SQL database server
Name:           iworx-db-mariadb
Version:        %{mysql_version}
Release:        %{bversion}%{?dist}
License:        GPLv2
Group:          Applications/Databases
Vendor:         MariaDB Foundation

Source: iworx-db-mariadb-10.6.14.tar.gz
BuildRequires: perl  gawk bison boost-devel coreutils checkpolicy binutils cmake gcc-c++ gcc make libcurl-devel ncurses-devel systemtap-sdt-devel libevent-devel flex cracklib-devel glibc-devel zlib-devel xz-devel pcre2-devel systemd-devel libxcrypt-devel java-1.8.0-openjdk java-1.8.0-openjdk-headless Judy-devel krb5-devel libaio-devel libxml2-devel libxml2 lz4-devel unixODBC-devel unixODBC openssl-devel pam-devel pkgconf-pkg-config libpmem-devel readline-devel policycoreutils snappy-devel



%define debug_package %{nil}

%define _rpmdir %_topdir/RPMS
%define _srcrpmdir %_topdir/SRPMS

%define _unpackaged_files_terminate_build 0


%define mysql_vendor MariaDB Foundation
%define mysqlversion        %{mysql_version}
%define mysqlbasedir   %{iworx_install_dir}
%define mysqldatadir    %{iworx_install_dir}/data
%define mysqld_user   %{iworxuser}

%define mysqld_group   %{iworxgroup}

%define _bindir     /usr/bin
%define _sbindir    /usr/sbin
%define _sysconfdir /etc
%define restart_flag_dir %{_localstatedir}/lib/rpm-state/mariadb
%define restart_flag %{restart_flag_dir}/need-restart

%{?filter_setup:
%filter_provides_in \.\(test\|result\|h\|cc\|c\|inc\|opt\|ic\|cnf\|rdiff\|cpp\)$
%filter_requires_in \.\(test\|result\|h\|cc\|c\|inc\|opt\|ic\|cnf\|rdiff\|cpp\)$
%filter_from_provides /perl(\(mtr\|My::\)/d
%filter_from_requires /\(perl(\(.*mtr\|My::\|.*HandlerSocket\|Mysql\)\)/d
%filter_setup
}

%define ignore #



%description
MariaDB: a very fast and robust SQL database server

It is GPL v2 licensed, which means you can use the it free of charge under the
conditions of the GNU General Public License Version 2 (http://www.gnu.org/licenses/).

MariaDB documentation can be found at https://mariadb.com/kb
MariaDB bug reports should be submitted through https://jira.mariadb.org

# This is a shortcutted spec file generated by CMake RPM generator
# we skip _install step because CPack does that for us.
# We do only save CPack installed tree in _prepr
# and then restore it in build.
%prep
%setup -c


%build
mkdir cpack_rpm_build_dir
cd cpack_rpm_build_dir
'/usr/bin/cmake'  \
 -DRPM=rhel%{rhel} \
 -DMYSQL_MAINTAINER_MODE=AUTO \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_CONFIG=mysql_release \
 -DWITH_SSL=system \
 -DWITH_JEMALLOC=no \
 -DWITH_WSREP=OFF\
 -DPLUGIN_AUTH_PAM=NO\
 -DCPACK_PACKAGING_INSTALL_PREFIX="%{iworx_install_dir}"\
 -DBVERSION="%{bversion}"\
 -DCPACK_PACKAGE_NAME="iworx-db-mariadb"\
 -DCMAKE_INSTALL_PREFIX="%{iworx_install_dir}"\
 -DINSTALL_MYSQLDATADIR="%{mysqldatadir}"\
 -DINSTALL_SYSCONFDIR="%{iworx_install_dir}"\
 -DINSTALL_SYSCONF2DIR="%{iworx_install_dir}/conf.d"\
 -DINSTALL_INCLUDEDIR="%{iworx_install_dir}/usr/include/mysql"\
 -DINSTALL_LIBDIR="%{iworx_install_dir}/usr/lib64/mysql"\
 -DINSTALL_UNIX_ADDRDIR="%{iworx_install_dir}/iworx-db.sock"\
 ../iworx-db-mariadb-10.6.14/
make %{?_smp_mflags}

#p build

%install

cd cpack_rpm_build_dir
cpack -G RPM
mv *.rpm %_rpmdir

%clean

%changelog
* Sun Jul 4 2010 Eric Noulard <eric.noulard@gmail.com> - 10.6.14-1%{?dist}
  Generated by CPack RPM (no Changelog file were provided)
